Множественные уязвимости в VNews

Дата публикации:
05.04.2006
Дата изменения:
17.10.2006
Всего просмотров:
1112
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-1543
CVE-2006-1544
CVE-2006-1545
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
VNews 1.x
Уязвимые версии: VNews 1.2 и более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "loginvar" сценария "admin/admin.php", параметре "news" в сценарии "news.php" и параметре "nom" в сценарии "news.php". Удаленный пользователь может с помощью специально сформированного URL выполнить произвольные SQL команды в базе данных приложения. Удачная эксплуатация уязвимости возможна при выключенной опции "magic_quotes_gpc".

2. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "autorkomentarza" и "tresckomentarza" в сценарии "news.php". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценарий в браузере жертвы в контексте безопасности уязвимого сайта.

3. Уязвимость существует из-за недостаточной обработки входных данных во время редактирования переменных в сценарии "admin/config.php". Удаленный пользователь может выполнить произвольный PHP код на целевой системе. Удачная эксплуатация уязвимости возможна при выключенной опции "magic_quotes_gpc".

URL производителя: www.vscripts.pl/?id=vnews

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA